Timeshift outdated

Hello forum, noticed that timeshift is showing as outdated.
How can I update it to the latest version?

[marcelo@linux ~]$ LANG=C yay -Ss timeshift
aur/autoupgrade 1.0.0-1 (+1 0.09) 
    Automatic snapshot and then upgrade the system. (When the system fails, run `sudo timeshift --restore` and remove this package until the problem is solved.)
aur/timeshift-autosnap 0.9-1 (+11 0.74) 
    Timeshift auto-snapshot script which runs before package upgrade using Pacman hook.
aur/timeshift 20.03-1 (+138 8.83) (Out-of-date: 2020-11-15) (Installed)
    A system restore utility for Linux
1 Like

It’s just out of date. The package maintainer has to up date it. It just went out of date today so wait till Monday or Tuesday. The package should function fine the way it is.

7 Likes

Thanks Elloquin, I thought that actions were required from my side.
I’ll just wait then :slight_smile:

1 Like

Anyone facing this problem with xapp ?

[marcelo@linux ~]$ LANG=C yay -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 endeavouros is up to date
:: Starting full system upgrade...
warning: openvpn: ignoring package upgrade (2.4.9-2 => 2.5.0-3)
 there is nothing to do
:: Searching databases for updates...
:: Searching AUR for updates...
 -> openvpn: ignoring package upgrade (2.4.9-2 => 2.5.0-3)
:: 1 Packages to upgrade.
1  aur/timeshift  20.03-1 -> 20.11.1-1
==> Packages to exclude: (eg: "1 2 3", "1-3", "^4" or repo name)
==> 20.03-1
 -> Could not find all required packages:
	xapp=1.8.10 (Wanted by: timeshift)


[marcelo@linux ~]$ LANG=C sudo pacman -Ss xapp
community/lxappearance 0.6.3-4 (lxde)
    Feature-rich GTK+ theme switcher of the LXDE Desktop
community/lxappearance-gtk3 0.6.3-4 (lxde-gtk3)
    Feature-rich GTK+ theme switcher of the LXDE Desktop (GTK+ 3 version)
community/lxappearance-obconf 0.2.3-3 (lxde)
    Plugin for LXAppearance to configure Openbox
community/lxappearance-obconf-gtk3 0.2.3-3 (lxde-gtk3)
    Plugin for LXAppearance to configure Openbox (GTK+ 3 version)
community/python-xapp 2.0.2-1
    Python Xapp Library
community/xapp 2.0.0-1 [installed]
    Common library for X-Apps project
5 Likes

I just spoke to @2000 and he recommended the same procedure for me. I have updated both the encrypted and non encrypted triple boot installation. I can confirm it is now updated.

2 Likes

Thanks for the very fast feedback on this, downgrading then

PKGBUILD has been updated, will build fine now without any manual intervention:

https://aur.archlinux.org/cgit/aur.git/commit/?h=timeshift&id=4db0f0f0ba882a680eb964058dadfd002cc16858

4 Likes

Thanks for the info.
I had just now modified my BTRFSonLUKS wiki articles with a workaround to automatically downgrade xapp before installing timeshift, :laughing:. Well, I think I’ll better remove those commands.

2 Likes

Or you could have waited for a day and just updated it normally :smiley:

2 Likes

NEVAR!!

I run Arch for get things nao!!!

9 Likes

What happened to Rolling? I need an update! :grin: